---
apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfigPool
metadata:
  creationTimestamp: "2025-10-27T11:31:36Z"
  generation: 12
  labels:
    machineconfiguration.openshift.io/mco-built-in: ""
    pools.operator.machineconfiguration.openshift.io/worker: ""
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:machineconfiguration.openshift.io/mco-built-in: {}
          f:pools.operator.machineconfiguration.openshift.io/worker: {}
      f:spec:
        .: {}
        f:machineConfigSelector: {}
        f:nodeSelector: {}
    manager: machine-config-operator
    operation: Update
    time: "2025-10-27T11:31:36Z"
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:paused: {}
    manager: kubectl-patch
    operation: Update
    time: "2025-10-27T13:07:48Z"
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:configuration: {}
    manager: machine-config-controller
    operation: Update
    time: "2025-10-29T10:12:04Z"
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:certExpirys: {}
        f:conditions: {}
        f:configuration: {}
        f:degradedMachineCount: {}
        f:machineCount: {}
        f:observedGeneration: {}
        f:poolSynchronizersStatus:
          .: {}
          k:{"poolSynchronizerType":"PinnedImageSets"}:
            .: {}
            f:availableMachineCount: {}
            f:machineCount: {}
            f:poolSynchronizerType: {}
            f:readyMachineCount: {}
            f:unavailableMachineCount: {}
            f:updatedMachineCount: {}
        f:readyMachineCount: {}
        f:unavailableMachineCount: {}
        f:updatedMachineCount: {}
    manager: machine-config-controller
    operation: Update
    subresource: status
    time: "2025-10-29T10:12:09Z"
  name: worker
  resourceVersion: "2048261"
  uid: e823685a-29f0-4d56-be89-7c9d85f85ab1
spec:
  configuration:
    name: rendered-worker-bdf0e142d55468fca72b91bcadfb2759
    source:
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 00-worker
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-container-runtime
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 100-worker-set-core-user-password
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-workers-chrony-configuration
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 97-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 98-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-fips
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-registries
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-ssh
  machineConfigSelector:
    matchLabels:
      machineconfiguration.openshift.io/role: worker
  nodeSelector:
    matchLabels:
      node-role.kubernetes.io/worker: ""
  paused: false
status:
  certExpirys:
  - bundle: KubeAPIServerServingCAData
    expiry: "2035-10-25T10:58:57Z"
    subject: CN=admin-kubeconfig-signer,OU=openshift
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-11-27T06:22:10Z"
    subject: CN=kube-csr-signer_@1761632530
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-12-27T06:22:10Z"
    subject: CN=openshift-kube-controller-manager-operator_csr-signer-signer@1761632530
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-11-27T11:09:55Z"
    subject: CN=kube-csr-signer_@1761649795
  - bundle: KubeAPIServerServingCAData
    expiry: "2026-10-27T11:09:50Z"
    subject: CN=kube-apiserver-to-kubelet-signer,OU=openshift
  - bundle: KubeAPIServerServingCAData
    expiry: "2026-10-27T11:09:50Z"
    subject: CN=kube-control-plane-signer,OU=openshift
  - bundle: KubeAPIServerServingCAData
    expiry: "2035-10-25T11:09:47Z"
    subject: CN=kubelet-bootstrap-kubeconfig-signer,OU=openshift
  - bundle: KubeAPIServerServingCAData
    expiry: "2028-10-26T11:30:59Z"
    subject: CN=openshift-kube-apiserver-operator_node-system-admin-signer@1761564659
  conditions:
  - lastTransitionTime: "2025-10-27T11:32:01Z"
    message: ""
    reason: ""
    status: "False"
    type: PinnedImageSetsDegraded
  - lastTransitionTime: "2025-10-27T11:32:02Z"
    message: ""
    reason: ""
    status: "False"
    type: RenderDegraded
  - lastTransitionTime: "2025-10-27T11:32:06Z"
    message: ""
    reason: ""
    status: "False"
    type: Updating
  - lastTransitionTime: "2025-10-27T11:32:06Z"
    message: ""
    reason: ""
    status: "False"
    type: NodeDegraded
  - lastTransitionTime: "2025-10-27T11:32:06Z"
    message: ""
    reason: ""
    status: "False"
    type: Degraded
  - lastTransitionTime: "2025-10-27T11:32:06Z"
    message: All nodes are updated with MachineConfig rendered-worker-bdf0e142d55468fca72b91bcadfb2759
    reason: ""
    status: "True"
    type: Updated
  configuration:
    name: rendered-worker-bdf0e142d55468fca72b91bcadfb2759
    source:
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 00-worker
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-container-runtime
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 100-worker-set-core-user-password
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-workers-chrony-configuration
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 97-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 98-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-fips
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-registries
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-ssh
  degradedMachineCount: 0
  machineCount: 0
  observedGeneration: 12
  poolSynchronizersStatus:
  - availableMachineCount: 0
    machineCount: 0
    poolSynchronizerType: PinnedImageSets
    readyMachineCount: 0
    unavailableMachineCount: 0
    updatedMachineCount: 0
  readyMachineCount: 0
  unavailableMachineCount: 0
  updatedMachineCount: 0
